| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
GuardCondition Class Reference

The GuardCondition class is a specific Condition whose trigger_value is completely under the control of the application. More...

`#include <GuardCondition.hpp>`

Inheritance diagram for GuardCondition:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | GuardCondition ()
FASTDDS_EXPORTED_API | ~GuardCondition ()
FASTDDS_EXPORTED_API bool | get_trigger_value () const override
| Retrieves the trigger_value of the Condition.
FASTDDS_EXPORTED_API ReturnCode_t | set_trigger_value (bool value)
| Set the trigger_value.
Public Member Functions inherited from Condition
detail::ConditionNotifier * | get_notifier () const

## Additional Inherited Members

Protected Member Functions inherited from Condition
| Condition ()
virtual | ~Condition ()
Protected Attributes inherited from Condition
std::unique_ptr< detail::ConditionNotifier > | notifier_

## Detailed Description

The GuardCondition class is a specific Condition whose trigger_value is completely under the control of the application.

The purpose of the GuardCondition is to provide the means for the application to manually wakeup a WaitSet. This is accomplished by attaching the GuardCondition to the WaitSet and then setting the trigger_value by means of the set_trigger_value operation.

## Constructor & Destructor Documentation

## ◆ GuardCondition()

FASTDDS_EXPORTED_API GuardCondition | ( |  | ) |

## ◆ ~GuardCondition()

FASTDDS_EXPORTED_API ~GuardCondition | ( |  | ) |

## Member Function Documentation

## ◆ get_trigger_value()

FASTDDS_EXPORTED_API bool get_trigger_value | ( |  | ) | const

override virtual

Retrieves the trigger_value of the Condition.

Returns
  true if trigger_value is set to 'true', 'false' otherwise

Reimplemented from Condition.

## ◆ set_trigger_value()

FASTDDS_EXPORTED_API ReturnCode_t set_trigger_value | ( | bool | value | ) |

Set the trigger_value.

Parameters

  value | new value for trigger

Returns
  RETURN_OK

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/condition/GuardCondition.hpp